info.bioinfweb.jphyloio.formats.phylip

## Class SequentialPhylipFactory

- java.lang.Object
- - info.bioinfweb.jphyloio.factory.AbstractSingleReaderWriterFactory
  - - info.bioinfweb.jphyloio.formats.phylip.AbstractPhylipFactory
    - - info.bioinfweb.jphyloio.formats.phylip.SequentialPhylipFactory

- All Implemented Interfaces:
    SingleReaderWriterFactory, JPhyloIOFormatIDs, PhylipConstants

      public class SequentialPhylipFactory
      extends AbstractPhylipFactory

  Reader and writer factory for the sequential Phylip format. Note that the `checkFormat()` methods of this factory cannot determine the difference between sequential and non-sequential Phylip.
  Since:
    0.0.0
  Author:
    Ben Stöver
  See Also:
    `PhylipFactory`

- - ### Field Summary

    - ### Fields inherited from class info.bioinfweb.jphyloio.formats.phylip.AbstractPhylipFactory

      `MAXIMUM_EXPECTED_DIGITS_OR_WHITESPACE`

    - ### Fields inherited from interface info.bioinfweb.jphyloio.formats.phylip.PhylipConstants

      `DEFAULT_NAME_LENGTH, PHYLIP_FORMAT_NAME, PREMATURE_NAME_END_CHARACTER, RELAXED_PHYLIP_NAME_PATTERN, SEQUENTIAL_PHYLIP_FORMAT_NAME`

    - ### Fields inherited from interface info.bioinfweb.jphyloio.formats.JPhyloIOFormatIDs

      `FASTA_FORMAT_ID, FORMAT_ID_PREFIX, MEGA_FORMAT_ID, NEWICK_FORMAT_ID, NEXML_FORMAT_ID, NEXUS_FORMAT_ID, PDE_FORMAT_ID, PHYLIP_FORMAT_ID, PHYLOXML_FORMAT_ID, SEQUENTIAL_PHYLIP_FORMAT_ID, XTG_FORMAT_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SequentialPhylipFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected JPhyloIOFormatInfo` | `createFormatInfo()`
    `JPhyloIOEventReader` | `getReader(java.io.InputStream stream, ReadWriteParameterMap parameters)` Creates a new reader instance for the target format of this factory.
    `JPhyloIOEventReader` | `getReader(java.io.Reader reader, ReadWriteParameterMap parameters)` Creates a new reader instance for the target format of this factory.

    - ### Methods inherited from class info.bioinfweb.jphyloio.formats.phylip.AbstractPhylipFactory

      `checkFormat, createFormatInfo, getWriter, hasReader, hasWriter`

    - ### Methods inherited from class info.bioinfweb.jphyloio.factory.AbstractSingleReaderWriterFactory

      `checkFormat, getFormatInfo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface info.bioinfweb.jphyloio.factory.SingleReaderWriterFactory

      `checkFormat, getFormatInfo`

- - ### Constructor Detail

    - #### SequentialPhylipFactory

          public SequentialPhylipFactory()

  - ### Method Detail

    - #### getReader

          public JPhyloIOEventReader getReader(java.io.InputStream stream,
                                               ReadWriteParameterMap parameters)
                                        throws java.io.IOException

      Description copied from interface: `SingleReaderWriterFactory`
      Creates a new reader instance for the target format of this factory.
      Parameters:
        `stream` - the stream to provide the content for the reader
        `parameters` - the parameter map for the new reader instance
      Returns:
        the new reader instance
      Throws:
        `java.io.IOException`

    - #### getReader

          public JPhyloIOEventReader getReader(java.io.Reader reader,
                                               ReadWriteParameterMap parameters)
                                        throws java.io.IOException

      Description copied from interface: `SingleReaderWriterFactory`
      Creates a new reader instance for the target format of this factory.
        `parameters` - the parameter map for the new reader instance
      Returns:
        the new reader instance or `null` if this factory is not able to create readers
      Throws:
        `java.io.IOException`
      See Also:
        `SingleReaderWriterFactory.hasReader()`

    - #### createFormatInfo

          protected JPhyloIOFormatInfo createFormatInfo()

      Specified by:
        `createFormatInfo` in class `AbstractSingleReaderWriterFactory`